package com.tashow.cloud.canal.config;

import com.tashow.cloud.canal.service.CanalSyncService;
import com.tashow.cloud.canal.service.SqlExecutorService;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@AutoConfiguration
public class CanalAutoConfiguration {

    @Bean
    public CanalSyncService canalSyncService() {
        return new CanalSyncService();
    }

    @Bean
    public SqlExecutorService getdb() {
        return new SqlExecutorService();
    }
}
